* Module ctrsam.h  V010AM01 === 091487
*
*    PROPRIETARY PROGRAM MATERIAL
* REPRODUCTION OR DISCLOSURE IS PROHIBITED WITHOUT WRITTEN AUTHORIZATION
* OF THE PATENT DIVISION OF UNISYS CORPORATION, DETROIT, MICHIGAN 48232, USA.
* COPYRIGHT (C) 1987 BORLAND INTERNATIONAL
* COPYRIGHT (C) 1987 UNISYS CORPORATION
*
if	defined(__ERCTYPE)
define	__ERCTYPE

typedef	unsigned	ErcType;
endif

ErcType	CheckPointRsFile plm far(void *far pRSWA);
ErcType	CloseRsFile plm far(void *far pRSWA);
ErcType	GetRsLfa plm far(void *far pRSWA, long *far pLfaRet);
ErcType	OpenRsFile plm far(void *far pRSWARet, char *far pbFilespec,
		int cbFilespec, char *far pbPassword, int cbPassword,
		int mode, void *far pBufferArea, int sBufferArea);
ErcType	ReadRsRecord plm far(void *far pRSWA, void *far pRecordRet,
		int sRecordMax, int *far pcbRet);
ErcType	ReleaseRsFile plm far(void *far pRSWA);
ErcType	ScanToGoodRsRecord plm far(void *far pRSWA, 
		unsigned long qbSkipMax, long *far pLfaScanStartRet,
		unsigned long *far pqbRet);
ErcType	WriteRsRecord plm far(void *far pRSWA, void *far pRecord,
		int sRecord);
